#
# Copyright 3D Control Systems, Inc. All Rights Reserved 2017-2019. Built in San Francisco.
#
# This software is distributed under commercial non-GPL license for personal, educational,
# corporate or any other use. The software as a whole or any parts of that are prohibited
# for distribution and/or use without obtaining license from 3D Control Systems, Inc.
#
# If you do not have the license to use this software, please delete all software files
# immediately and contact sales to obtain the license: sales@3dprinteros.com.
# If you are unsure about the licensing please contact directly our sales: sales@3dprinteros.com.

import PIL
import pystray

import paths

class TaskBarIcon:

    TITLE = '3DPrinterOS'

    def __init__(self):
        self.status_checker = tray_common.StatusChecker(self.show_balloon)
        DisableItem = rumps.MenuItem("Disable notifications", callback=self.toggle_notifications)
        DisableItem.state = not self.status_checker.notifications
        self._menu.add(rumps.MenuItem("Show status", callback=self.show_status_balloons))
        self._menu.add(rumps.MenuItem('Open browser tab', callback=self.open_browser_tab))
        self._menu.add(DisableItem)
        self._menu.add(rumps.MenuItem('Quit', callback=self.quit))

        self.icon = pystray.Icon(tray_common.APP_NAME)
        self.icon.title = tray_common.APP_NAME
        self.icon.menu = self.form_menu()
        result = PIL.Image.open()
        dc = ImageDraw.Draw(result)
        self.icon.icon = 

    def setup(icon):
        self.icon.visible = True

    def run():
        self.icon.run(self.setup)

    def show_balloon(self, title, body):
        rumps.notification(tray_common.APP_NAME, title, body, sound=False)

    def show_status_balloons(self, _):
        self.status_checker.show_status_balloons()

    def open_browser_tab(self, _):
        tray_common.open_browser_tab()

    def toggle_notifications(self, sender):
        sender.state = not sender.state
        self.status_checker.set_notifications_state(not sender.state)

    def quit(self, _):
        tray_common.stop_app()
        self.status_checker.stop()
        self.icon.stop()

    def form_menu(self):
        return pystray.Menu(
            pystray.MenuItem('Disable notifications', self.toggle_notifications),
            pystray.MenuItem.SEPARATOR,
            pystray.MenuItem('Quit', lambda icon: self.quit(icon))
            )

if __name__ == "__main__":
    tb = TaskBarIcon()
    tb.run()
